
Flourish - Bug #7327

FACET- Qualitative Interview Scheduling

20/11/2023 13:09 - Kedibonye Thankane

Status: Closed Start date: 20/11/2023

Priority: Normal Due date:

Assignee: Kebadiretse Motlhabi % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

REMOVE NUMBER 5

History

#1 - 27/11/2023 11:32 - Ame Diphoko

- Assignee set to Kebadiretse Motlhabi

#2 - 29/11/2023 13:16 - Kebadiretse Motlhabi

- Status changed from New to Resolved

#3 - 30/11/2023 13:50 - Irene Kitsi

- Status changed from Resolved to Closed
